Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml
Interface EventDispatcher

All Known Implementing Classes:
  SimpleDispatcher, SimpleScheduler

public interface EventDispatcher

The event controller interface used to send messages containing events or other information directly to another SCXML Interpreter, other external systems using an Event I/O Processor or to raise events in the current SCXML session.

Method Summary
`void` | `cancel(String sendId)` Cancel the specified send message.
`void` | `send(String sendId, String target, String targetType, String event, Map params, Object hints, long delay, List externalNodes)` Send this message to the target.

Method Detail

### cancel

    public void cancel(String sendId)

  Cancel the specified send message.

  Parameters:
    `sendId` - The ID of the send message to cancel

### send

    public void send(String sendId,
                     String target,
                     String targetType,
                     String event,
                     Map params,
                     Object hints,
                     long delay,
                     List externalNodes)

  Send this message to the target.

  Parameters:
    `sendId` - The ID of the send message
    `target` - An expression returning the target location of the event
    `targetType` - The type of the Event I/O Processor that the event should be dispatched to
    `event` - The type of event being generated.
    `params` - A list of zero or more whitespace separated variable names to be included with the event.
    `hints` - The data containing information which may be used by the implementing platform to configure the event processor
    `delay` - The event is dispatched after the delay interval elapses
    `externalNodes` - The list of external nodes associated with the <send> element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 The Apache Software Foundation. All Rights Reserved.